Microsimulation API: ssim::cMessage Class Reference

Microsimulation API

Public Member Functions | Public Attributes | List of all members
ssim::cMessage Class Reference

cMessage class for OMNET++ API compatibility. This provides a heavier message class than Sim::Event, with short 'kind' and std::string 'name' attributes. The events by default are scheduled using cProcess::scheduleAt(), and handled using cProcess::handleMessage() (as per OMNET++). NB: cProcess::scheduleAt() uses simulation time rather than time in state (which is used by Sim::self_signal_event()). More...

`#include <microsimulation.h>`

Inheritance diagram for ssim::cMessage:
[legend]
Collaboration diagram for ssim::cMessage:
[legend]

## Public Member Functions
| cMessage (const short k=-1, const string n="", const ProcessId process_id=-1, const ProcessId sender_process_id=-1)
short | getKind ()
string | getName ()
Time | getTimestamp ()
Time | getSendingTime ()
string | str () const
Public Member Functions inherited from ssim::Event
| Event ()
virtual | ~Event ()

## Public Attributes
short | kind
string | name
Time | sendingTime
Time | timestamp
ProcessId | process_id
ProcessId | sender_process_id

## Detailed Description

cMessage class for OMNET++ API compatibility. This provides a heavier message class than Sim::Event, with short 'kind' and std::string 'name' attributes. The events by default are scheduled using cProcess::scheduleAt(), and handled using cProcess::handleMessage() (as per OMNET++). NB: cProcess::scheduleAt() uses simulation time rather than time in state (which is used by Sim::self_signal_event()).

Definition at line 211 of file microsimulation.h.

## Constructor & Destructor Documentation

## ◆ cMessage()

ssim::cMessage::cMessage | ( | const short | k = `-1`,
|  | const string | n = `""`,
|  | const ProcessId | process_id = `-1`,
|  | const ProcessId | sender_process_id = `-1`
| ) |  |
| inline

Definition at line 213 of file microsimulation.h.

## Member Function Documentation

## ◆ getKind()

short ssim::cMessage::getKind | ( |  | ) |
| inline

Definition at line 218 of file microsimulation.h.

## ◆ getName()

string ssim::cMessage::getName | ( |  | ) |
| inline

Definition at line 219 of file microsimulation.h.

## ◆ getSendingTime()

Time ssim::cMessage::getSendingTime | ( |  | ) |
| inline

Definition at line 221 of file microsimulation.h.

## ◆ getTimestamp()

Time ssim::cMessage::getTimestamp | ( |  | ) |
| inline

Definition at line 220 of file microsimulation.h.

## ◆ str()

string ssim::cMessage::str | ( |  | ) | const
| inlinevirtual

Reimplemented from ssim::Event.

Definition at line 226 of file microsimulation.h.

## Member Data Documentation

## ◆ kind

short ssim::cMessage::kind

Definition at line 222 of file microsimulation.h.

## ◆ name

string ssim::cMessage::name

Definition at line 223 of file microsimulation.h.

## ◆ process_id

ProcessId ssim::cMessage::process_id

Definition at line 225 of file microsimulation.h.

## ◆ sender_process_id

ProcessId ssim::cMessage::sender_process_id

Definition at line 225 of file microsimulation.h.

## ◆ sendingTime

Time ssim::cMessage::sendingTime

Definition at line 224 of file microsimulation.h.

## ◆ timestamp

Time ssim::cMessage::timestamp

Definition at line 224 of file microsimulation.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/microsimulation.h